changeset 1170:e34c00072500

Comment tweak for cross-smoke-test.sh.
author Rob Landley <rob@landley.net>
date Sat, 17 Jul 2010 13:29:12 -0500
parents d13ddec32cee
children e104d771ca17
files more/cross-smoke-test.sh
diffstat 1 files changed, 5 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/more/cross-smoke-test.sh	Mon Jul 12 11:40:23 2010 -0500
+++ b/more/cross-smoke-test.sh	Sat Jul 17 13:29:12 2010 -0500
@@ -1,5 +1,8 @@
 #!/bin/bash
 
+# Perform a smoke test on a target's cross compiler by building "hello world"
+# and attempting to run it under QEMU application emulation.
+
 source sources/include.sh && read_arch_dir "$1" || exit 1
 
 # Build statically linked hello world, if necessary
@@ -21,7 +24,8 @@
 if [ "$RESULT" == "Hello world!" ]
 then
   echo "Cross toolchain seems to work."
+  exit 0
 else
   echo "Can't run hello world" >&2
-  dienow
+  exit 1
 fi